org.apache.ignite.internal.processors.cache.persistence.file

## Class FileDownloader

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.FileDownloader

    public class FileDownloader
    extends Object

Part of direct node to node file downloading

### Constructor Summary

Constructors
Constructor and Description
`FileDownloader(IgniteLogger log, Path path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `download(GridFutureAdapter<?> fut)`
`void` `download(long size, Throwable th)`
`InetSocketAddress` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileDownloader

    public FileDownloader(IgniteLogger log,
                          Path path)

### Method Detail

#### start

    public InetSocketAddress start()
                            throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### download

    public void download(GridFutureAdapter<?> fut)

#### download

    public void download(long size,
                         Throwable th)

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019